Difference between revisions of "Development/Languages/nl"

Jump to: navigation, search
(Created page with "Ontwikkeling/Programmeertalen")
 
(Created page with "KDE ondersteunt meerdere programmeertalen voor KDE 4-ontwikkeling.")
Line 1: Line 1:
 
<languages />
 
<languages />
  
KDE supports several programming languages for KDE 4 development.
+
KDE ondersteunt meerdere programmeertalen voor KDE 4-ontwikkeling.
  
 
==Stable and Mature==
 
==Stable and Mature==

Revision as of 19:20, 10 September 2012

Other languages:Greek 100% • ‎English 100% • ‎Dutch 100% • ‎Chinese (China) 100%

KDE ondersteunt meerdere programmeertalen voor KDE 4-ontwikkeling.

Contents

Stable and Mature

Support for these languages is mature, fully maintained and suitable for application development:

In Development

Support for these languages is still in development:

Bindings Technologies and Embedding

  • Smoke - Provides infrastructure which is used for creating bindings for multiple languages such as Ruby, C# and PHP.
  • Kross - Provides embedded scripting for C++ applications. Multiple languages such as Python, Ruby, JavaScript, QtScript, Falcon and Java are supported.
  • QtScript - The QtScript binding generator.
  • SIP - Used to generate the bindings for Python.

Support for Qt3 / KDE3

Building current git master

It is recommended to have the following in ~/.gitconfig:

[url "git://anongit.kde.org/"]
    insteadOf = kde:
[url "ssh://git@git.kde.org/"]
    pushInsteadOf = kde:

to pull from the anongit servers, but push to the main git server.

Clone the repositories with

git clone kde:smokegen
git clone kde:smokeqt
git clone kde:smokekde
git clone kde:qtruby
git clone kde:korundum
git clone kde:qyoto
git clone kde:kimono
git clone kde:perlqt
git clone kde:perlkde
git clone kde:kross-interpreters

Building happens as usual with

cmake <src-dir> -DCMAKE_INSTALL_PREFIX=/usr
make
make install

Smokegen has to be built first, then smokeqt and smokekde. After that you can then build the various language bindings. Note that the KDE bindings part always depends on the Qt part - so you have to build this one first.

kross-interpreters contains the language plugins for kross. They do not depend on any of the above.


KDE® and the K Desktop Environment® logo are registered trademarks of KDE e.V.Legal